from greendeck.config import ImageConfig
from greendeck.lib.elgato.streamdeck import StreamDeck
from greendeck.lib.images import render_key_image


async def render_static_icon_image(
    deck: StreamDeck, new_state: bool, image_config: ImageConfig
) -> bytes:

    colors = image_config.down if new_state else image_config.up
    image = await render_key_image(
        deck,
        image_config.icon,
        colors.foreground,
        colors.background,
    )
    return image
